﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        DialogResult rep = DialogResult.None;

        private void button1_Click(object sender, EventArgs e)
        {
            string m = textBox1.Text;
            string t = textBox2.Text;
            if (string.Compare(m, string.Empty) == 0)
            {
                MessageBox.Show("Hem. Vous avez oublié le message...", "Problème", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else if (string.Compare(t, string.Empty) == 0)
            {
                MessageBox.Show("Hem. Vous avez oublié le titre...", "Problème", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                MessageBoxButtons bout = MessageBoxButtons.OK;
                if (radioButton1.Checked)
                    bout = MessageBoxButtons.OK;
                else if (radioButton2.Checked)
                    bout = MessageBoxButtons.OKCancel;
                else if (radioButton3.Checked)
                    bout = MessageBoxButtons.YesNo;
                else if (radioButton4.Checked)
                    bout = MessageBoxButtons.YesNoCancel;

                MessageBoxIcon ikon = MessageBoxIcon.Exclamation;
                if (radioButton8.Checked)
                    ikon = MessageBoxIcon.Information;
                else if (radioButton7.Checked)
                    ikon = MessageBoxIcon.Question;
                else if (radioButton6.Checked)
                    ikon = MessageBoxIcon.Hand;
                else if (radioButton5.Checked)
                    ikon = MessageBoxIcon.Exclamation;


                rep = MessageBox.Show(m, t, bout, ikon);
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (rep == DialogResult.None)
            {
                MessageBox.Show("Pas de résultat à afficher", "Oops", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
            else
            {
                string truc = string.Concat("Dernier bouton cliqué : ", rep.ToString());
                MessageBox.Show(truc,"Information", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);                
            }


        }

        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
